
Robotics Service Bus - Tasks #670
Release version 0.5
10/21/2011 08:45 PM - J. Moringen

Status: Resolved Start date: 10/21/2011
Priority: Normal Due date: 10/24/2011
Assignee: J. Moringen % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 0.5
Description

    -  Version bump ✓
    -  Create branches ✓
    -  Adapt build jobs
        -  Rename jobs (see #669) ✓
        -  Adapt versions ✓
    -  Adapt wiki links to build jobs ✓
    -  Announce release
        -  In redmine ✓
        -  On the mailing list ✓

Related issues:
Related to Robotics Service Bus - Enhancement # 669: Rename build jobs? Resolved 10/21/2011
Blocked by Robotics Service Bus - Support # 497: Document inspection of proto... Resolved 08/12/2011

Associated revisions
Revision faf59562 - 10/22/2011 05:39 AM - J. Moringen
Version bumped in cpp/core/CMakeLists.txt
refs #670
    -  cpp/core/CMakeLists.txt: bumped version 0.5 -> 0.6

Revision 56709153 - 10/22/2011 05:40 AM - J. Moringen
Version bumped in java/core/build.xml
refs #670
    -  java/core/build.xml: bumped version 0.5 -> 0.6

Revision 910a9037 - 10/22/2011 05:41 AM - J. Moringen
Version bumped in protocol/CMakeLists.txt
refs #670
    -  protocol/CMakeLists.txt: bumped version 0.5 -> 0.6

Revision 42ad3166 - 10/22/2011 05:41 AM - J. Moringen
Version bumped in python/core/setup.py
refs #670
    -  python/core/setup.py: bumped version 0.5 -> 0.6

Revision ab331bda - 10/22/2011 05:43 AM - J. Moringen
Bumped minor version 5 -> 6 in cl-rsb.asd
refs #670
    -  cl-rsb.asd (version-minor): changed 5 -> 6

Revision 3479dec9 - 10/22/2011 07:21 PM - J. Moringen
Version bump 0.5.0 -> 0.6.0 in *.asd
refs #670
    -  cl-rsb-common.asd (version-minor): bumped 5 -> 6
    -  cl-rsb-stats.asd (version-minor): likewise
    -  cl-rsb-formatting.asd (version-minor): likewise
    -  cl-rsb-tools-logger.asd (version-minor): likewise
    -  cl-rsb-tools-call.asd (version-minor): likewise

  (system cl-rsb-tools-call): use `version/string' for rsb
  dependencies

Revision b8c9d63c - 10/22/2011 07:44 PM - J. Moringen
Bumped version 0.5.0 > 0.6.0 in cl-rsbag*.asd
refs #670
    -  cl-rsbag-tools-record.asd (version-minor): bumped 5 -> 6

  (system cl-rsbag-tools-record): use `version/string for cl-rsb and
  cl-rsb-common versions since these are in sync now

    -  cl-rsbag-tools-play.asd (version-minor): likewise
  (system cl-rsbag-tools-play): likewise

    -  cl-rsbag-tools-info.asd (version-minor): likewise
  (system cl-rsbag-tools-info): likewise

    -  cl-rsbag-tools-cat.asd (version-minor): likewise
  (system cl-rsbag-tools-cat): likewise

Revision ab88d821 - 10/22/2011 08:22 PM - J. Moringen
Synced cl-rsbag versions to cl-rsb and cl-rsb-tools
refs #670
    -  cl-rsbag-tools-cat.asd (version-minor): changed 1 -> 5

  (system cl-rsbag-tools-cat): use `version/string' for cl-rsb and
  cl-rsb-common dependency; the version are in sync now

    -  cl-rsbag-tools-info.asd (version-minor): likewise
  (system cl-rsbag-tools-info): likewise

    -  cl-rsbag-tools-play.asd (version-minor): likewise
  (system cl-rsbag-tools-play): likewise

    -  cl-rsbag-tools-record.asd (version-minor): likewise
  (system cl-rsbag-tools-record): likewise

Revision 8d4ca40a - 10/22/2011 11:26 PM - J. Moringen
Bumped version 0.1.0 -> 0.6.0 in cl-rsbag.asd
refs #670
    -  cl-rsbag.asd (version-minor): changed 1 -> 6

  (system cl-rsbag): synchronized version of cl-rsb dependency to
  system version using `version/string'
  (system cl-rsbag-test): added version to cl-rsbag dependency
  (system cl-rsbag-tidelog): changed version to use `version/string'
History
#1 - 10/22/2011 05:01 AM - J. Moringen
- Description updated
- Status changed from Feedback to In Progress
- % Done changed from 0 to 40

#2 - 10/22/2011 05:34 AM - J. Moringen
- Description updated
- % Done changed from 40 to 60

#3 - 10/22/2011 06:09 AM - J. Moringen
- Description updated
- % Done changed from 60 to 80

#4 - 10/26/2011 06:16 PM - J. Moringen
- Description updated

#5 - 10/27/2011 01:47 AM - J. Moringen
- Description updated
- % Done changed from 80 to 90

#6 - 10/31/2011 10:21 AM - J. Wienke

Isn't this done now?

#7 - 10/31/2011 02:27 PM - J. Moringen

Johannes Wienke wrote:

Isn't this done now?

I think so.

#8 - 10/31/2011 02:27 PM - J. Moringen
- Status changed from In Progress to Resolved
- % Done changed from 90 to 100

#9 - 10/31/2011 02:27 PM - J. Moringen
- Description updated
